---
lang: en
title: 'API docs: rest.bodyparser'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.bodyparser.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [BodyParser](./rest.bodyparser.md)

## BodyParser interface

Interface to be implemented by body parser extensions

<b>Signature:</b>

```typescript
export interface BodyParser 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [name](./rest.bodyparser.name.md) | string \| symbol | Name of the parser |

## Methods

|  Method | Description |
|  --- | --- |
|  [parse(request)](./rest.bodyparser.parse.md) | Parse the request body |
|  [supports(mediaType)](./rest.bodyparser.supports.md) | Indicate if the given media type is supported |


